View Issue Details

IDProjectCategoryView StatusLast Update
0035955FPCCompilerpublic2019-08-16 13:25
ReporterOndrej PokornyAssigned ToSven Barth 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.3.1Product Build 
Target VersionFixed in Version3.3.1 
Summary0035955: The new []-notation for array assignment cannot be used for "array of Variant"
DescriptionThe new []-notation for array assignment cannot be used for "array of Variant". The error shown is:

project1.lpr(13,8) Error: Compilation raised exception internally

Btw. Delphi does support it.
Steps To Reproduceprogram Project1;

{$mode delphi}

type
  TVariantArray = array of Variant;

var
  S: string;
  A: TVariantArray;
begin
  S := 'xyz';
  A := [S]; // << project1.lpr(13,8) Error: Compilation raised exception internally
  Writeln(A[0]);
  Readln;
end.
TagsNo tags attached.
Fixed in Revision42699
FPCOldBugId
FPCTarget-
Attached Files

Activities

Sven Barth

2019-08-15 16:33

manager   ~0117689

Please test and close if okay.

Ondrej Pokorny

2019-08-16 13:25

reporter   ~0117700

Thank you - works well!

Issue History

Date Modified Username Field Change
2019-08-12 11:56 Ondrej Pokorny New Issue
2019-08-15 16:33 Sven Barth Assigned To => Sven Barth
2019-08-15 16:33 Sven Barth Status new => resolved
2019-08-15 16:33 Sven Barth Resolution open => fixed
2019-08-15 16:33 Sven Barth Fixed in Version => 3.3.1
2019-08-15 16:33 Sven Barth Fixed in Revision => 42699
2019-08-15 16:33 Sven Barth FPCTarget => -
2019-08-15 16:33 Sven Barth Note Added: 0117689
2019-08-16 13:25 Ondrej Pokorny Status resolved => closed
2019-08-16 13:25 Ondrej Pokorny Note Added: 0117700